#include<bits\stdc++.h>
using namespace std;

int main()
{
	int a[5], jed;
	char b[5], grupa;
	int n, o1, a1, b1, ab;
	int pa, po;
	cin >> n;
	cout << "\n";
	cin >> o1 >> a1; b1 >> ab;
	for (int i = 0; i < n;i ++)
	{
		cin >> grupa;
		b[i] = grupa;
		cin >> jed;
		a[i] = jed;
	}
	while (a1 != 0)
	{
		a[1]--;
		a1--;
	}
	while (o1 !=0)
	{
		a[0] --;
		o1 --;
	}
	while (o1 !=0)
	{
		a[1] --;
		o1 --;
	}
	if (o1 == 0 && a1 == 0)
	{
		cout << "moguce";
	}
	else
	{
		cout << "nemoguce";
	}
return 0;
}